Subject: Octane news

From: Stanislaw Skowronek <[email-masked]>
Date: Sun, 25 Jul 2004 20:59:29 +0200 (MET DST)

Hello all.

After a long delay I can finally announce something important about Octane
Linux. We are a little nearer to having accelerated graphics support on
IP30.

I managed to set the card into 24-bit RGB pixel format.
I can draw accelerated lines.
I can draw arbitrary accelerated Gouraud-shaded (or not) triangles.
I can draw accelerated characters and bitmaps.

I can't read anything from the frame buffer.
I can't effectively draw pixmaps.
I can't change video mode (however, I'm working on it).
I can't take advantage of the GE11 Geometry Engines, so all triangle
setups and transforms are performed in software.

If anyone has *any* information that might be helpful in achieving the
mentioned goals (especially the GE11 support), please help me.

Thanks for your attention,

Stanislaw Skowronek

--<=>--
  "You're not as old as the trees, not as young as the leaves.
   Not as free as the breeze, not as open as the seas."